List membership plans
Facade over membership plans and their fees (the Product STI is hidden). Needs products.read.
GET
/membership_plansAuthorization
AuthorizationBearer token (JWT) · headerrequiredQuery parameters
shop_idintegerstatestringAllowed:
visiblehiddenqstringPlan name (substring).
pageintegerdefault: 1
per_pageintegerdefault: 30
Responses
200
Plans: { id, name, description, state, max_seats, currency_code, fees [{ id, payment_interval, setup_fee, renewal_fee, payment_day, total_payments }], accessible_product_ids, permissions { pause_intervals, allows_edit, allows_reenable, manage_seats }, active_purchases_count }. Money in cents; total_payments -1 is unlimited.